aboutsummaryrefslogtreecommitdiffstats
path: root/deliveries/src/main/scripts/localize.sh
diff options
context:
space:
mode:
authorDR695H <dr695h@att.com>2017-02-07 13:11:03 -0500
committerDR695H <dr695h@att.com>2017-02-07 13:12:28 -0500
commit13ce0552dc7156b6e3e226c00295705f27780a40 (patch)
treea9ada50d0a86c0fdc253c188d1328f6e880bfaf5 /deliveries/src/main/scripts/localize.sh
parent77b87f76ff2799bd1f5fe85552f1c5e7081eb4df (diff)
actually adding the files to the initial commit
Change-Id: I2f0c09692c2ae70be61b8bb552fd1bd2983eb661 Signed-off-by: DR695H <dr695h@att.com>
Diffstat (limited to 'deliveries/src/main/scripts/localize.sh')
-rw-r--r--deliveries/src/main/scripts/localize.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/deliveries/src/main/scripts/localize.sh b/deliveries/src/main/scripts/localize.sh
new file mode 100644
index 000000000..3966f7023
--- /dev/null
+++ b/deliveries/src/main/scripts/localize.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+#Extract the WAR so it can be customized by the localization script
+cd /tmp/vid/stage
+jar -xf vid.war
+
+source /tmp/vid/localize_war.sh || {
+ echo "ERROR: Localization script failed"
+ exit 2
+}
+
+#Create the customized WAR and deploy it to Tomcat
+mkdir -p /tmp/vid/deployed
+cd /tmp/vid/stage
+jar -cvf /tmp/vid/deployed/vid.war .
+cd
+mv -f /tmp/vid/deployed/vid.war /usr/local/tomcat/webapps
+catalina.sh run